Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

## Class AccountReport9

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_01.AccountReport9

    public class AccountReport9
    extends java.lang.Object

Java class for AccountReport9 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AccountReport9">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max35Text"/>
             <element name="ElctrncSeqNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Number" minOccurs="0"/>
             <element name="LglSeqNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Number" minOccurs="0"/>
             <element name="CreDtTm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}ISODateTime"/>
             <element name="FrToDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}DateTimePeriodDetails" minOccurs="0"/>
             <element name="CpyDplctInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CopyDuplicate1Code" minOccurs="0"/>
             <element name="Acct" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CashAccount13"/>
             <element name="RltdAcct" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CashAccount7" minOccurs="0"/>
             <element name="Intrst" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}AccountInterest1" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Bal" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CashBalance1" maxOccurs="unbounded" minOccurs="0"/>
             <element name="TxsSummry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}TotalTransactions1" minOccurs="0"/>
             <element name="Ntry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}ReportEntry1" maxOccurs="unbounded" minOccurs="0"/>
             <element name="AddtlRptInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max500Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected CashAccount13` `acct`
`protected java.lang.String` `addtlRptInf`
`protected java.util.List<CashBalance1>` `bal`
`protected CopyDuplicate1Code` `cpyDplctInd`
`protected javax.xml.datatype.XMLGregorianCalendar` `creDtTm`
`protected java.math.BigDecimal` `elctrncSeqNb`
`protected DateTimePeriodDetails` `frToDt`
`protected java.lang.String` `id`
`protected java.util.List<AccountInterest1>` `intrst`
`protected java.math.BigDecimal` `lglSeqNb`
`protected java.util.List<ReportEntry1>` `ntry`
`protected CashAccount7` `rltdAcct`
`protected TotalTransactions1` `txsSummry`

### Constructor Summary

Constructors
`AccountReport9()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CashAccount13` `getAcct()` Gets the value of the acct property.
`java.lang.String` `getAddtlRptInf()` Gets the value of the addtlRptInf property.
`java.util.List<CashBalance1>` `getBal()` Gets the value of the bal property.
`CopyDuplicate1Code` `getCpyDplctInd()` Gets the value of the cpyDplctInd property.
`javax.xml.datatype.XMLGregorianCalendar` `getCreDtTm()` Gets the value of the creDtTm property.
`java.math.BigDecimal` `getElctrncSeqNb()` Gets the value of the elctrncSeqNb property.
`DateTimePeriodDetails` `getFrToDt()` Gets the value of the frToDt property.
`java.lang.String` `getId()` Gets the value of the id property.
`java.util.List<AccountInterest1>` `getIntrst()` Gets the value of the intrst property.
`java.math.BigDecimal` `getLglSeqNb()` Gets the value of the lglSeqNb property.
`java.util.List<ReportEntry1>` `getNtry()` Gets the value of the ntry property.
`CashAccount7` `getRltdAcct()` Gets the value of the rltdAcct property.
`TotalTransactions1` `getTxsSummry()` Gets the value of the txsSummry property.
`void` `setAcct​(CashAccount13 value)` Sets the value of the acct property.
`void` `setAddtlRptInf​(java.lang.String value)` Sets the value of the addtlRptInf property.
`void` `setCpyDplctInd​(CopyDuplicate1Code value)` Sets the value of the cpyDplctInd property.
`void` `setCreDtTm​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the creDtTm property.
`void` `setElctrncSeqNb​(java.math.BigDecimal value)` Sets the value of the elctrncSeqNb property.
`void` `setFrToDt​(DateTimePeriodDetails value)` Sets the value of the frToDt property.
`void` `setId​(java.lang.String value)` Sets the value of the id property.
`void` `setLglSeqNb​(java.math.BigDecimal value)` Sets the value of the lglSeqNb property.
`void` `setRltdAcct​(CashAccount7 value)` Sets the value of the rltdAcct property.
`void` `setTxsSummry​(TotalTransactions1 value)` Sets the value of the txsSummry property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    protected java.lang.String id

#### elctrncSeqNb

    protected java.math.BigDecimal elctrncSeqNb

#### lglSeqNb

    protected java.math.BigDecimal lglSeqNb

#### creDtTm

    protected javax.xml.datatype.XMLGregorianCalendar creDtTm

#### frToDt

    protected DateTimePeriodDetails frToDt

#### cpyDplctInd

    protected CopyDuplicate1Code cpyDplctInd

#### acct

    protected CashAccount13 acct

#### rltdAcct

    protected CashAccount7 rltdAcct

#### intrst

    protected java.util.List<AccountInterest1> intrst

#### bal

    protected java.util.List<CashBalance1> bal

#### txsSummry

    protected TotalTransactions1 txsSummry

#### ntry

    protected java.util.List<ReportEntry1> ntry

#### addtlRptInf

    protected java.lang.String addtlRptInf

### Constructor Detail

#### AccountReport9

    public AccountReport9()

### Method Detail

#### getId

    public java.lang.String getId()

Gets the value of the id property.

Returns:
  possible object is `String`

#### setId

    public void setId​(java.lang.String value)

Sets the value of the id property.

Parameters:
  `value` - allowed object is `String`

#### getElctrncSeqNb

    public java.math.BigDecimal getElctrncSeqNb()

Gets the value of the elctrncSeqNb property.

Returns:
  possible object is `BigDecimal`

#### setElctrncSeqNb

    public void setElctrncSeqNb​(java.math.BigDecimal value)

Sets the value of the elctrncSeqNb property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getLglSeqNb

    public java.math.BigDecimal getLglSeqNb()

Gets the value of the lglSeqNb property.

Returns:
  possible object is `BigDecimal`

#### setLglSeqNb

    public void setLglSeqNb​(java.math.BigDecimal value)

Sets the value of the lglSeqNb property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getCreDtTm

    public javax.xml.datatype.XMLGregorianCalendar getCreDtTm()

Gets the value of the creDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setCreDtTm

    public void setCreDtTm​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the creDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getFrToDt

    public DateTimePeriodDetails getFrToDt()

Gets the value of the frToDt property.

Returns:
  possible object is `DateTimePeriodDetails`

#### setFrToDt

    public void setFrToDt​(DateTimePeriodDetails value)

Sets the value of the frToDt property.

Parameters:
  `value` - allowed object is `DateTimePeriodDetails`

#### getCpyDplctInd

    public CopyDuplicate1Code getCpyDplctInd()

Gets the value of the cpyDplctInd property.

Returns:
  possible object is `CopyDuplicate1Code`

#### setCpyDplctInd

    public void setCpyDplctInd​(CopyDuplicate1Code value)

Sets the value of the cpyDplctInd property.

Parameters:
  `value` - allowed object is `CopyDuplicate1Code`

#### getAcct

    public CashAccount13 getAcct()

Gets the value of the acct property.

Returns:
  possible object is `CashAccount13`

#### setAcct

    public void setAcct​(CashAccount13 value)

Sets the value of the acct property.

Parameters:
  `value` - allowed object is `CashAccount13`

#### getRltdAcct

    public CashAccount7 getRltdAcct()

Gets the value of the rltdAcct property.

Returns:
  possible object is `CashAccount7`

#### setRltdAcct

    public void setRltdAcct​(CashAccount7 value)

Sets the value of the rltdAcct property.

Parameters:
  `value` - allowed object is `CashAccount7`

#### getIntrst

    public java.util.List<AccountInterest1> getIntrst()

Gets the value of the intrst property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the intrst property.

For example, to add a new item, do as follows:

        getIntrst().add(newItem);

Objects of the following type(s) are allowed in the list `AccountInterest1`

#### getBal

    public java.util.List<CashBalance1> getBal()

Gets the value of the bal property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the bal property.

For example, to add a new item, do as follows:

        getBal().add(newItem);

Objects of the following type(s) are allowed in the list `CashBalance1`

#### getTxsSummry

    public TotalTransactions1 getTxsSummry()

Gets the value of the txsSummry property.

Returns:
  possible object is `TotalTransactions1`

#### setTxsSummry

    public void setTxsSummry​(TotalTransactions1 value)

Sets the value of the txsSummry property.

Parameters:
  `value` - allowed object is `TotalTransactions1`

#### getNtry

    public java.util.List<ReportEntry1> getNtry()

Gets the value of the ntry property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ntry property.

For example, to add a new item, do as follows:

        getNtry().add(newItem);

Objects of the following type(s) are allowed in the list `ReportEntry1`

#### getAddtlRptInf

    public java.lang.String getAddtlRptInf()

Gets the value of the addtlRptInf property.

Returns:
  possible object is `String`

#### setAddtlRptInf

    public void setAddtlRptInf​(java.lang.String value)

Sets the value of the addtlRptInf property.

Parameters:
  `value` - allowed object is `String`